# ops-tracing

**First-party OpenTelemetry integration for the [Ops](https://pypi.org/project/ops/) library.**
This package adds tracing capabilities to Ops, enabling you to observe the performance of your applications.

---

## Overview

- Seamless integration with [ops](https://pypi.org/project/ops/)
- Built on OpenTelemetry
- Enables tracing of your charm code

Please add `ops[tracing]` to your charm's dependencies, rather than this package directly.

---

## Documentation

Comprehensive documentation for the Ops library, including the tracing feature, is available at:
[Ops documentation](https://ops.readthedocs.io/).

You’ll find setup instructions, usage examples, and best practices for leveraging the tracing functionality.

---

## Community and Support

- **Matrix Chat**: [Charm Tech](https://matrix.to/#/#charmhub-ops:ubuntu.com)
- **Forum**: [Charmhub - Discuss Python operator development](https://discourse.charmhub.io/)
- **Issue Tracker**: See [GitHub issues](https://github.com/canonical/ops/issues)
- **Further Links**: See the [ops PyPI page](https://pypi.org/project/ops/)

Feedback, contributions, and bug reports are always welcome.
Please follow the guidelines in the [main repository](https://github.com/canonical/ops/)
for the Ops library.

---

## License

This project is licensed under the same license as `ops`.
Refer to the `ops` repository for full details.

---

Happy tracing!
